VSTGUI: UIDescription::Impl Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
UIDescription::Impl Struct Reference
Inheritance diagram for UIDescription::Impl:

## Public Types
using | UINode = Detail::UINode
Public Types inherited from ListenerProvider< Impl, UIDescriptionListener >
using | List

## Public Member Functions
UINode * | getVariableBaseNode ()
Public Member Functions inherited from ListenerProvider< Impl, UIDescriptionListener >
void | registerListener (UIDescriptionListener *listener)
void | unregisterListener (UIDescriptionListener *listener)
void | forEachListener (Proc proc)
List & | getListeners ()
const List & | getListeners () const

## Public Attributes
CResourceDescription | uidescFile
std::string | filePath
IController * | controller {nullptr}
IViewFactory * | viewFactory {nullptr}
IContentProvider * | contentProvider {nullptr}
IBitmapCreator * | bitmapCreator { nullptr}
IBitmapCreator2 * | bitmapCreator2 { nullptr}
AttributeSaveFilterFunc | attributeSaveFilterFunc {nullptr}
SharedPointer< UINode > | nodes
SharedPointer< UIDescription > | sharedResources
std::deque< IController * > | subControllerStack
Optional< UINode * > | variableBaseNode

## Member Typedef Documentation

## ◆ UINode

using UINode = Detail::UINode

## Member Function Documentation

## ◆ getVariableBaseNode()

UINode * getVariableBaseNode | ( |  | ) |
| inline

## Member Data Documentation

## ◆ attributeSaveFilterFunc

AttributeSaveFilterFunc attributeSaveFilterFunc {nullptr}

## ◆ bitmapCreator

IBitmapCreator* bitmapCreator { nullptr}

## ◆ bitmapCreator2

IBitmapCreator2* bitmapCreator2 { nullptr}

## ◆ contentProvider

IContentProvider* contentProvider {nullptr}

## ◆ controller

IController* controller {nullptr}
| mutable

## ◆ filePath

std::string filePath

## ◆ nodes

SharedPointer<UINode> nodes

## ◆ sharedResources

SharedPointer<UIDescription> sharedResources

## ◆ subControllerStack

std::deque<IController*> subControllerStack
| mutable

## ◆ uidescFile

CResourceDescription uidescFile

## ◆ variableBaseNode

Optional<UINode*> variableBaseNode

## ◆ viewFactory

IViewFactory* viewFactory {nullptr}

The documentation for this struct was generated from the following file:

- uidescription.cpp